[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Rdo-list] Openstack-sahara broken on rhel6



On 05/06/2014 04:54 PM, Dalmais Maxence wrote:
> Hi,
> 
> Thanks again for your support.
> I successfully installed your RPM and can launch Sahara.
> 
> Nevertheless,  I am not able to use it, because I am not able to register a new image.
> When I try to do so ,  I have in log  from sahara, the error below :
>         File "/usr/lib/python2.6/site-packages/sahara/service/validation.py", line 73, in handler
>             raise e
>         IOError: [Errno 2] No such file or directory: '/usr/lib/python2.6/site-packages/sahara/plugins/hdp/versions/version_1_3_2/resources/ambari-config-resource.json'
> 
> After several attempts, I came to the conclusion that there is a problem with the tarball provided by openstack.
> Specs files use to build the RPM download tarballs from http://tarballs.openstack.org/sahara/sahara-2014.1.tar.gz
> 
> In the tarball, the MANIFEST.in doesn't correspond to the content of the HDP plugins.
> 
> Manifest.in as
>  include sahara/plugins/hdp/versions/1_3_2/resources/*.template
>  include sahara/plugins/hdp/versions/1_3_2/resources/*.json
>  include sahara/plugins/hdp/versions/2_0/resources/*.template
>  include sahara/plugins/hdp/versions/2_0/resources/*.json
> 
> whereas file in the archive are
> sahara/plugins/hdp/versions/version_1_3_2/resources/ambari-config-resource.json
> sahara/plugins/hdp/versions/version_1_3_2/resources/default-cluster.template
> sahara/plugins/hdp/versions/version_2_0_6/resources/ambari-config-resource.json
> sahara/plugins/hdp/versions/version_2_0_6/resources/default-cluster.template
> 
> 1-3-2 and version_1_3_2 doesn't match.
> Same for 2_0 and version_2_0_6
> 
> Because manifest is not good, the resources files are not included in the binary rpm.
> 
> Do you think I am right, or am I missing something ?
> Does anybody run a recent version of sahara with success ?

Good analysis.

Mike seems like it would be good to add the above adjustments
as a patch to Manifest.in (and also the alembic adjustments we previously did),
at the start of the %prep.

Dalmais as an unsupported/untested quick hack I kicked off a scratch build
which might get you over the immediate issue.
rpm -Uvh http://kojipkgs.fedoraproject.org//work/tasks/9695/6819695/openstack-sahara-2014.1.0-6.1.el6.noarch.rpm

thanks,
Pádraig.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]